Subject: Re: bug#21278: char-fold isearch: space and newline still broken

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Sep 2021 08:59:36 +0300

> From: Richard Stallman <[email-masked]>
> Date: Sun, 05 Sep 2021 23:09:36 -0400
> Cc: [email-masked], [email-masked]
> 
> I am running master from May 11 and the failure still happens.
> 
> I put this text from your message in my buffer:
> 
>     As far as I can tell, char-fold isearch doesn't conflate space and
>     newline, so I guess that Artur's changes fixed this issue?  But the bug
>     report was left open, so I'm closing it now.  If I misunderstood, please
>     respond to the debbugs address and we'll reopen.
> 
> I put point on "As far", a few lines above here, and type C-s and SPC.
> It finds the "and" at the end of the line together with the newline
> and spaces.  This buffer is in Mail mode.
> 
> However, when I insert the same text in *scratch*, the bug does not
> happen there.

I think that's because in Mail mode we have:

  (char-syntax ?\n) => 32 ; SPC

whereas in *scratch*:

  (char-syntax ?\n) => 62 ; >

And the regexp in search-whitespace-regexp is "\\s-+".